Summary:	A graphical interface for the video converter ffmpeg
Name:		winff
Version:	1.5.5
Release:	%mkrel 1
License:	GPLv3+
Group:		Video/Editors and Converters
Url:		http://winff.org
Source0:	http://winff.org/docs/source/%{name}-%{version}-source.tar.gz
Patch0:		winff-1.5.3-add-default-pdf-launcher-to-list-of-pdf-viewers.patch
Patch1:		winff-1.5.5-fix-upstream-version-number-in-About-menu.patch
Patch2:		winff-1.5.5-fix-up-the-symbols.patch
BuildRequires:	lazarus
BuildRequires:	dos2unix
Requires:	ffmpeg
Requires:	xterm

%description
WinFF is a GUI for the command line video converter, FFMPEG. It will 
convert most any video file that FFmpeg will convert. WinFF does 
multiple files in multiple formats at one time. You can for example 
convert mpeg's, flv's, and mov's, all into avi's all at once.

%prep
%setup -q -n %{name}
%autopatch -p1

# Fix EOL (Version 1.2.0)
dos2unix *.txt

%build

# Hack to get lazarus with correct options in lazarus-tmp dir
mkdir mageia-lazarus-tmp
cp %{_sysconfdir}/lazarus/environmentoptions.xml mageia-lazarus-tmp/
sed -i 's|__FPCSRCDIR__|%{_datadir}/fpcsrc|g' mageia-lazarus-tmp/environmentoptions.xml
sed -i 's|__LAZARUSDIR__|%{_libdir}/lazarus/|g' mageia-lazarus-tmp/environmentoptions.xml
# use lazarus-tmp for configuration
lazbuild --ws=gtk2 --pcp=mageia-lazarus-tmp -B winff.lpr

%install
%__mkdir_p %{buildroot}{%{_bindir},%{_datadir}/%{name}/languages}

# Install winff binary
%__install -m 0755 %{name} %{buildroot}%{_bindir}

# Install languages
%__install -m 0644 languages/*.po %{buildroot}%{_datadir}/%{name}/languages

# Install presets
%__install -m 0644 presets.xml %{buildroot}%{_datadir}/%{name}

%__mkdir_p %{buildroot}{%{_datadir}/pixmaps,%{_datadir}/applications,%{_mandir}/man1}

# Install man page
%__install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1

# Install icons
%__install -m 0644 winff-icons/48x48/%{name}.png %{buildroot}%{_datadir}/pixmaps
for i in 16 24 32 48; do
	%__mkdir_p %{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
	%__install -m 0644 winff-icons/"$i"x"$i"/*.png %{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
done

# Desktop file
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=WinFF
GenericName=WinFF
GenericName[fr]=Convertisseur de vidéo
Comment=A GUI for FFMPEG
Comment[fr]=Une interface graphique pour FFMPEG
Exec=%{name}
Icon=%{name}
Categories=AudioVideo;Video;
MimeType=application/winff;
Keywords=avconv;ffmpeg;wrapper;conversion;video;audio;
EOF


%files
%doc AUTHORS *.txt docs/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/*
%{_mandir}/man1/*


%changelog
* Sat Jan 21 2017 daviddavid <daviddavid> 1.5.5-1.mga6
+ Revision: 1082794
- new version: 1.5.5
- add debian patch to generate debuginfo

* Fri Sep 30 2016 daviddavid <daviddavid> 1.5.3-3.mga6
+ Revision: 1057837
- add debian patch to add default pdf launcher to list of pdf viewers
- add debian patch to fix upstream version number in About menu
- fix some data permissions
- update and add French translation on desktop file

* Wed Feb 17 2016 umeabot <umeabot> 1.5.3-2.mga6
+ Revision: 963245
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 daviddavid <daviddavid> 1.5.3-1.mga6
+ Revision: 896809
- new version: 1.5.3

* Wed Oct 15 2014 umeabot <umeabot> 1.5.1-4.mga5
+ Revision: 747737
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sat Jun 29 2013 malo <malo> 1.5.1-1.mga4
+ Revision: 448293
- update to 1.5.1

* Sat Jun 01 2013 malo <malo> 1.5.0-1.mga4
+ Revision: 434097
- update to 1.5.0

* Mon Jan 14 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 385712
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 malo <malo> 1.4.3-1.mga3
+ Revision: 304021
- update to 1.4.3

* Sun Sep 30 2012 malo <malo> 1.4.2-2.mga3
+ Revision: 300642
- Update RPM group

* Wed Jun 20 2012 malo <malo> 1.4.2-1.mga3
+ Revision: 262242
- fix lazarus config path for build
- spec clean-up (patch from Ezim)
- update to new version after import from Mandriva
- drop patch unneeded in new version
- import from Mandriva

